Subject: Re: bug#37523: Print hint if build fails due to invalid character in package source base name

From: Hartmut Goebel <[email-masked]>
Date: Mon, 21 Dec 2020 15:16:09 +0100

Hi,,

thanks for picking this up.

> Therefore, I am missing if this message “invalid character” should be
> improved or if the check of the name should be done before on the Scheme
> side.  Well, I am missing what could be the path to improve the
> situation, if it needs.

Since this check is done also for other store-items, I assume it does 
not make much sense to change the message in the C-code.

So I assume the patch to improve this is to check the name on the Scheme 
side. (Or to make the da)emon return some meaningful error object. 
Anyhow I assume this is much more complicated and not a solution for now.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |